/* Base for label styling */
[type="checkbox"]:not(:checked),
[type="checkbox"]:checked {
  position: absolute;
  left: -9999px;
}
[type="checkbox"]:not(:checked) + span,
[type="checkbox"]:checked + span {
  position: relative;
  padding-left: 25px;
  cursor: pointer;
}

/* checkbox aspect */
[type="checkbox"]:not(:checked) + span:before,
[type="checkbox"]:checked + span:before {
  content:'';
  position: absolute;
  left:0; bottom: 0.13em;
  width: 1rem; height: 1rem;
  border: 1px solid #f8f8f8;
  background: #f8f8f8;
  border-radius: 3px;

}
/* checked mark aspect */
[type="checkbox"]:not(:checked) + span:after,
[type="checkbox"]:checked + span:after {

  position: absolute;
  bottom: 0.18em; left: 0.17em;
  font-size: 1em;
  line-height: 0.8;
  color: #968EB2;
}
/* checked mark aspect changes */
[type="checkbox"]:not(:checked) + span:after {
  content: '+';
}
[type="checkbox"]:checked + span:after {
  content: '−';
}

[type="checkbox"]:checked:focus + span:before,
[type="checkbox"]:not(:checked):focus + span:before {
  border: 1px dotted blue;
}

[type="checkbox"] + span:hover:before {
  border: 1px solid #4778d9!important;
}

* {
    box-sizing: border-box
}
body {
    font-size: 15px;
    margin:0;
}

.search {
    background-color: #eee;
    padding: 1em;
    display:flex;
    justify-content: space-between;
    left: 0;
    right:0;
    position:fixed;
    top:0;
    z-index: 1000;
}

.search input {
    font-size: 1.1em;
    padding: 0.1em 0.3em;
    flex-grow: 2;
    margin-right: 1em;
}

.search select {
    font-size: 1.1em;
    padding: 0.1em 0.3em;
}

.categories {
    margin-top: 4em;
}

.category {
    margin-top:2px;
}
.category label {
    cursor: pointer;
    font-family: Arial;
    display:block;
    font-size: 1.33em;
    color: #333;
    margin: 0;
    padding: 0.33em 0.66em;
    background-color: #CABFD3;
}

.category .name {
    margin-left: 0.25em;
}

.entry {
    background-color:#fff;
    padding: 0.33em 0.66em;
    margin-top:2px;
}

.entry pre, .entry code {
    font-size: 0.95em;
    font-family: Consolas, Monaco !important;
    display: block;
    padding-top: 0.5em;
    padding-bottom: 0.5em;
    padding-left: 0.5em;
    margin-top:1px;
    margin-bottom: 0;
    background-color:#eee;


}